BCMFW(8)

NAME
bcmfw - load firmware for Broadcom BCM2033 Bluetooth USB devices

SYNOPSIS
bcmfw [-h] -f firmware_file_name -m mini-driver_file_name -n device_name

DESCRIPTION
The bcmfw utility downloads the specified mini-driver and firmware files to the specified device.

This utility will only work with Broadcom BCM2033 chip based Bluetooth USB devices. The identification is currently based on USB vendor ID/product ID pair. The vendor ID should be 0x0a5c (USB_VENDOR_BROADCOM) and the product ID should be 0x2033.

Due to copyright issues I will no longer provide mini-driver and firmware files for the device. These files can be obtained from the Linux BlueZ bluez-firmware package.

Visit http://www.bluez.org/download.html for details.

I am using the following files from the bluez-firmware-1.0 package:

    MD5 (BCM2033-MD.hex) = 5580317158d07fc4ace90af04f8e1c73
    MD5 (BCM2033-FW.bin) = b4e142b3272cfe5a84b32fda6b4b032f

The options are as follows:

-f firmware_file_name
    Specify firmware file name for download.

-h  Display usage message and exit.

-m mini-driver_file_name
    Specify mini-driver file name for download.

-n device_name
    Specify device name.

FILES
BCM2033-MD.hex
    Mini-driver image.
BCM2033-FW.bin
    Firmware image.
/dev/ubtbcmfwN.EE
    Endpoint EE of device N.

EXIT STATUS

EXAMPLES
To download the firmware into the /dev/ubtbcmfw0 device:

    bcmfw -n ubtbcmfw0 -m BCM2033-MD.hex -f BCM2033-FW.bin

SEE ALSO
ubtbcmfw(4), ugen(4)

AUTHORS
Maksim Yevmenkin <m_evmenkin@yahoo.com>

BUGS
Most likely. Please report if found.